/*
 * This file is part of FGGL.
 *
 * FGGL is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * FGGL is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with FGGL.
 * If not, see <https://www.gnu.org/licenses/>.
 */

//
// Created by webpigeon on 20/08/22.
//

#include "fggl/assets/module.hpp"

namespace fggl::assets {

	bool AssetFolders::factory(modules::ModuleService service, modules::Services &services) {
		if (service == Loader::service) {
			auto storage = services.get<data::Storage>();
			services.create<Loader>(storage);
			return true;
		}
		if (service == AssetManager::service) {
			services.create<AssetManager>();
			return true;
		}
		return false;
	}

} // namespace fggl::assets